Torque2D Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Attributes | List of all members
ConsoleLogEntry Struct Reference

Represents an entry in the log. More...

`#include <console.h>`

## Public Types
enum | Level { Normal = 0, Warning, Error, NUM_CLASS }
enum | Type { General = 0, Assert, Script, GUI, Network, NUM_TYPE }

## Public Attributes
enum ConsoleLogEntry::Level | mLevel
enum ConsoleLogEntry::Type | mType
const char * | mString

## Detailed Description

Represents an entry in the log.

## Member Enumeration Documentation

enum Level

This field indicates the severity of the log entry.

Log entries are filtered and displayed differently based on their severity. Errors are highlighted red, while normal entries are displayed as normal text. Often times, the engine will be configured to hide all log entries except warnings or errors, or to perform a special notification when it encounters an error.

Enumerator
Normal |
Warning |
Error |
NUM_CLASS |

enum Type

Used to associate a log entry with a module.

Log entries can come from different sources; for instance, the scripting engine, or the network code. This allows the logging system to be aware of where different log entries originated from.

Enumerator
General |
Assert |
Script |
GUI |
Network |
NUM_TYPE |

## Member Data Documentation

enum ConsoleLogEntry::Level mLevel

const char* mString

Indicates the actual log entry.

This contains a description of the event being logged. For instance, "unable to access file", or "player connected successfully", or nearly anything else you might imagine.

Typically, the description should contain a concise, descriptive string describing whatever is being logged. Whenever possible, include useful details like the name of the file being accessed, or the id of the player or GuiControl, so that if a log needs to be used to locate a bug, it can be done as painlessly as possible.

enum ConsoleLogEntry::Type mType

The documentation for this struct was generated from the following file:

- console/console.h